Name:          buildstream
Version:       2.4.0
Release:       %mkrel 2
Summary:       Build/integrate software stacks
License:       Apache-2.0
Group:         Development/Tools
URL:           https://buildstream.build/
Source0:       https://github.com/apache/buildstream/archive/%{version}/buildstream-%{version}.tar.gz

BuildRequires: python3-devel >= 3.8

Requires:      git
Requires:      lzip
Requires:      patch
Requires:      tar


%description
BuildStream is a Free Software tool for building/integrating software stacks.
It takes inspiration, lessons and use-cases from various projects including
OBS, Reproducible Builds, Yocto, Baserock, Buildroot, Aboriginal, GNOME
Continuous, JHBuild, Flatpak Builder and Android repo.

BuildStream supports multiple build-systems (e.g. autotools, cmake, cpan,
distutils, make, meson, qmake), and can create outputs in a range of formats
(e.g. debian packages, flatpak runtimes, sysroots, system images) for multiple
platforms and chipsets.


%prep
%autosetup -n %{name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{name}


%files -f %{pyproject_files}
%doc NEWS README.rst
%license LICENSE
%{_bindir}/bst*
%{_datadir}/bash-completion/completions/bst
%{_mandir}/man1/bst*


%changelog
* Fri Mar 07 2025 daviddavid <daviddavid> 2.4.0-2.mga10
+ Revision: 2161638
- rebuild for python 3.13

* Fri Dec 27 2024 daviddavid <daviddavid> 2.4.0-1.mga10
+ Revision: 2130632
- new version: 2.4.0
- switch to pyproject

* Thu Feb 22 2024 daviddavid <daviddavid> 1.6.9-1.mga10
+ Revision: 2043045
- new version: 1.6.9
- rebuild for py3.12
+ papoteur <papoteur>
- Mass Rebuild - Python 3.12

* Sat Oct 22 2022 neoclust <neoclust> 1.6.7-1.mga9
+ Revision: 1898445
- New version 1.6.7

* Wed Jul 20 2022 papoteur <papoteur> 1.6.5-1.mga9
+ Revision: 1869512
- new 1.6.5
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sat Mar 27 2021 ovitters <ovitters> 1.6.1-1.mga9
+ Revision: 1711169
- new version 1.6.1
+ tv <tv>
- rebuild for python 3.9

* Tue May 19 2020 ovitters <ovitters> 1.4.3-1.mga8
+ Revision: 1586152
- new version 1.4.3

* Sat Apr 11 2020 ovitters <ovitters> 1.4.2-1.mga8
+ Revision: 1566456
- new version 1.4.2

* Sat Apr 11 2020 ovitters <ovitters> 1.4.1-1.mga8
+ Revision: 1566434
- add group
- imported package buildstream


* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Tue Sep 03 2019 Mathieu Bridon <bochecha@daitauha.fr> - 1.4.1-1
- Update to the latest upstream release.

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 1.2.8-3
- Rebuilt for Python 3.8

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue Jul 16 2019 Mathieu Bridon <bochecha@daitauha.fr> - 1.2.8-1
- Update to the latest upstream release.

* Tue May 21 2019 Mathieu Bridon <bochecha@daitauha.fr> - 1.2.7-1
- Update to the latest upstream release.

* Thu May 02 2019 Mathieu Bridon <bochecha@daitauha.fr> - 1.2.6-1
- Update to the latest upstream release.

* Mon Apr 22 2019 Mathieu Bridon <bochecha@daitauha.fr> - 1.2.5-1
- Update to the latest upstream release.

* Thu Feb 14 2019 Mathieu Bridon <bochecha@daitauha.fr> - 1.2.4-1
- Update to the latest upstream release.

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Dec 17 2018 Mathieu Bridon <bochecha@daitauha.fr> - 1.2.3-3
- Rebuild with the new release tarball
  https://gitlab.com/BuildStream/buildstream/issues/820
- Remove brackets around command macros, to avoid future annoyance if I add
  arguments to them.

* Mon Dec 17 2018 Mathieu Bridon <bochecha@daitauha.fr> - 1.2.3-2
- Make buildstream work with click 7.

* Fri Oct 05 2018 Mathieu Bridon <bochecha@daitauha.fr> - 1.2.3-1
- Update to the latest upstream release.

* Mon Sep 24 2018 Mathieu Bridon <bochecha@daitauha.fr> - 1.2.2-1
- Update to the latest upstream release.

* Sun Sep 23 2018 Mathieu Bridon <bochecha@daitauha.fr> - 1.2.1-2
- Add back the blessings dependency.
  https://gitlab.com/BuildStream/buildstream/merge_requests/821

* Fri Sep 21 2018 Mathieu Bridon <bochecha@daitauha.fr> - 1.2.1-1
- Update to the latest upstream release.

* Mon Sep 03 2018 Mathieu Bridon <bochecha@daitauha.fr> - 1.2.0-1
- Update to the latest upstream release.

* Fri Aug 24 2018 Mathieu Bridon <bochecha@daitauha.fr> - 1.1.7.1
- Update to the latest upstream release.

* Tue Aug 14 2018 Mathieu Bridon <bochecha@daitauha.fr> - 1.1.6-2
- Set the minimum required version of python3-blessings.
  https://gitlab.com/BuildStream/buildstream/merge_requests/663

* Tue Aug 14 2018 Mathieu Bridon <bochecha@daitauha.fr> - 1.1.6-1
- Update to the latest upstream release.

* Mon Aug 06 2018 Mathieu Bridon <bochecha@daitauha.fr> - 1.1.5-1
- Update to the latest upstream release.
- Add some optional dependencies.

* Sat Aug 04 2018 Mathieu Bridon <bochecha@daitauha.fr> - 1.1.4-1
- Initial package for fedora.
